Package com.io7m.cardant.client.preferences.api

# Record Class CAPreferenceServerBookmark

java.lang.Object
java.lang.Record
com.io7m.cardant.client.preferences.api.CAPreferenceServerBookmark

Record Components:
  `name` - The bookmark name
  `host` - The server host
  `port` - The server port
  `isHTTPs` - `true` if https is to be enabled
  `credentials` - The credentials

public record CAPreferenceServerBookmark(String name, String host, int port, boolean isHTTPs, CAPreferenceServerCredentialsType credentials) extends Record
A server bookmark.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAPreferenceServerBookmark(String name, String host, int port, boolean isHTTPs, CAPreferenceServerCredentialsType credentials)`
  A server bookmark.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAPreferenceServerCredentialsType`
  `credentials()`
  Returns the value of the `credentials` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `host()`
  Returns the value of the `host` record component.
  `boolean`
  `isHTTPs()`
  Returns the value of the `isHTTPs` record component.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `int`
  `port()`
  Returns the value of the `port` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAPreferenceServerBookmark

    public CAPreferenceServerBookmark(String name, String host, int port, boolean isHTTPs, CAPreferenceServerCredentialsType credentials)
    A server bookmark.

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### host

    public String host()
    Returns the value of the `host` record component.
    Returns:
      the value of the `host` record component

  - ### port

    public int port()
    Returns the value of the `port` record component.
    Returns:
      the value of the `port` record component

  - ### isHTTPs

    public boolean isHTTPs()
    Returns the value of the `isHTTPs` record component.
    Returns:
      the value of the `isHTTPs` record component

  - ### credentials

    public CAPreferenceServerCredentialsType credentials()
    Returns the value of the `credentials` record component.
    Returns:
      the value of the `credentials` record component